"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function ConvertToArray() {
    return function (target, propertyKey, parameterIndex) {
        var fn = target[propertyKey];
        target[propertyKey] = function () {
            var args = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                args[_i] = arguments[_i];
            }
            args[parameterIndex] = prepareArray(args[parameterIndex]);
            return fn.apply(void 0, args);
        };
    };
}
exports.ConvertToArray = ConvertToArray;
function prepareArray(options) {
    return options instanceof Array ? options.slice() : [options];
}
exports.prepareArray = prepareArray;
