import { AccessPermissionInterface, KeycloakTokenInterface } from '../models';
export declare class AccessHelper {
    /**
     * Функция проверяет наличие ролей у пользователя
     * @param parsedToken Распаршеный Keycloak token
     * @param client id клиента в keycloak
     * @param role id роли в keycloak
     */
    static containRole(parsedToken: KeycloakTokenInterface, client: string, role: string): boolean;
    static checkPermissions(token: KeycloakTokenInterface, permissions: AccessPermissionInterface[]): any;
}
